## ink 0.3.2~rc3

=== Makefile ===
CFLAGS = -Wall -O2 -linklevel
DESTDIR = /usr/local/

all: ink 

install: all
	mkdir -p $(DESTDIR)/bin
	install -m 755 -o root -g root ink $(DESTDIR)/bin/ink

clean:
	rm -fr ink *.o *~

## ink 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-CFLAGS = -Wall -O2 -linklevel
+CFLAGS = -Wall -O2 -L$(PWD)/../../../libinklevel/cvs/libinklevel \
+         -I$(PWD)/../../../libinklevel/cvs/libinklevel -linklevel
 DESTDIR = /usr/local/
 
 all: ink

## ink 0.5.0

=== Makefile ===
DESTDIR = 
PREFIX = /usr/local/
CFLAGS += -Wall -O2 -linklevel
CC = gcc
OS=linux

ifeq ($(OS),linux)
INSTALL = install -D -m 755 -t
else
INSTALL = install -m 755 -f
endif

all: ink 

install: all
	mkdir -p $(DESTDIR)/$(PREFIX)/bin
	$(INSTALL) $(DESTDIR)/$(PREFIX)/bin ink

clean:
	rm -fr ink *.o *~

## ink 0.5.1

=== debian/changelog ===
ink (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Drop manpage, merged upstream.
  * Upstream moved to autotools:
    - debian/control: add autotools-dev b-dep
    - debian/rules: rewrite most of it
  * Add missing ${misc:Depends} dependency.
  * Bump Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format. 
  * Update debian/copyright.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 26 Mar 2010 11:48:44 +0100

ink (0.5.0-1) unstable; urgency=low

  * Bump Standards-Version.
  * Update build dependency to libinklevel-dev (>= 0.8.0~).
  * Update debian/copyright.
  * Update manpage.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 13 Feb 2009 20:44:38 +0100

ink (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 26 Jul 2007 19:52:07 +0200

ink (0.4.0-2) unstable; urgency=low

  * Uploading to unstable.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Apr 2007 18:29:45 +0200

ink (0.4.0-1) experimental; urgency=low

  * New upstream release.
    - Built against libinklevel-dev (>= 0.7.0) which handle custom usb device path (Closes: #397301).
  * Bump libinklevel-dev build-dep.
  * Update manpage.
  * Update README.Debian.
  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 15 Mar 2007 17:21:50 +0100

ink (0.3.2~rc3-2) unstable; urgency=low

  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 24 Nov 2006 00:46:08 +0100

ink (0.3.2~rc3-1) unstable; urgency=low

  * Initial release (Closes: #386878).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 10 Sep 2006 20:20:06 +0200

=== debian/control ===
Source: ink
Section: admin
Priority: optional
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5), libinklevel-dev (>= 0.8.0~), autotools-dev
Standards-Version: 3.8.4
Homepage: http://ink.sourceforge.net/

Package: ink
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for checking the ink level of your local printer
 Ink is a command line tool based on libinklevel5. It provides a simple way
 to check ink level of supported printers.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    CFLAGS="$(CFLAGS)" \
		    LDFLAGS="-Wl,-z,defs"

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ink PREFIX=/usr

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ink 0.5.2

=== debian/changelog ===
ink (0.5.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Using dh-autoreconf.
  * DH level to 9.
  * debian/control:
     - Set maintainer to Debian QA Group. (See #673949)
     - Bumped Standards-Version to 3.9.6.
     - Improve long description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * Updated patch 001-Fix_manpages_whatis_entry.
  * debian/rules:
     - Update to new (reduced) format.
     - Included DEB_BUILD_MAINT_OPTIONS for hardening.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 18 Aug 2015 13:30:00 -0300

=== debian/control ===
Source: ink
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libinklevel-dev (>= 0.9.2), dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://ink.sourceforge.net/

Package: ink
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for checking the ink level of your local printer
 Ink is a command line tool based on libinklevel5 to check ink level
 of your local printer.
 .
 Printers of Canon, Epson, HP and Sony are supported. Complete list
 can be found at README.Debian of libinklevel5 package.

## ink 0.5.3

=== debian/changelog ===
ink (0.5.3-7) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add gcc15.patch (Closes: #1096838)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 08 Sep 2025 22:33:20 +0200

ink (0.5.3-6) unstable; urgency=medium

  * new maintainer (Closes: #673949)
    (move to debian-printing team)
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Nov 2023 22:33:20 +0100

ink (0.5.3-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:33:20 +0000

ink (0.5.3-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libinklevel-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 11:05:49 +0100

ink (0.5.3-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Thu, 16 Sep 2021 14:22:42 +0300

ink (0.5.3-2) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped DH level format to 13.
      - Bumped Standards-Version to 4.5.1.
  * debian/copyright:
      - Added Upstream-Contact.
      - Updated license order.
      - Updated upstream and packaging copyright years.
  * debian/ink.lintian-overrides: Added for false positive about
                                  spelling-error-in-binary.
  * debian/rules:
      - Removed comments.
      - Updated DEB_LDFLAGS_MAINT_APPEND and added DEB_CFLAGS_MAINT_APPEND
        variable to improve the GCC hardening.
  * debian/salsa-ci.yml: Added to provide CI tests for Salsa.
  * debian/tests/control: Created for basic CI testing.
  * debian/upstream/metadata: Created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Sun, 11 Apr 2021 18:47:12 -0300

ink (0.5.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (0.5.3, 2018-07-14).
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.
  * debian/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/compat: Removed, not longer used.
  * debian/copyright: Use secure uri.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Feb 2019 16:40:36 -0500

=== debian/control ===
Source: ink
Section: admin
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends:
              debhelper-compat (= 13),
              libinklevel-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://ink.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/ink.git
Vcs-Browser: https://salsa.debian.org/debian/ink

Package: ink
Architecture: any
Depends:
        ${misc:Depends},
        ${shlibs:Depends}
Description: tool for checking the ink level of your local printer
 Ink is a command line tool based on libinklevel5 to check ink level
 of your local printer.
 .
 Printers of Canon, Epson, HP and Sony are supported. Complete list
 can be found at README.Debian of libinklevel5 package.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Test-Command: ink -v
Restrictions: superficial

Test-Command: ink -h 2>&1 | grep "invalid option"
Restrictions: superficial
